/*******************************************************************************
* Copyright Reticular Systems Inc. 1997    All rights reserved.
* Proprietary Information, Property of Reticular Systems Inc.
* Filename : PriceTable.java
*
* RCS: $Revision: 1.3 $  $Date: 1998/08/05 19:23:22 $  $Author: donohoe $ 
* Created by: Jim Donohoe -- Mon May  4 17:15:07 1998
*******************************************************************************/

/*******************************************************************************
* Description :  
* 
* 
* @author Jim Donohoe
*******************************************************************************/
public class PriceTable
{ 

//PUBLIC DATA

//PRIVATE DATA

   // Load the shared library of native code.
   static
   {
      System.loadLibrary( "PriceTable" );
   }

//********************************PUBLIC METHODS********************************


/**
  * Description : main is used for testing JNI without an agent.
  *   
  * @return void
  * @author Jim Donohoe
  */
   public static void main( String[] args )
   {
      PriceTable priceTable = new PriceTable();

      float p = priceTable.lookupPrice( "Milk", 2 );

      System.out.println( "price = " + p );
   }

   
/**
  * Description : 
  * 
  * @param productName - String
  * @param quantity - int
  * @return float
  * @author Jim Donohoe
  */
   public native float lookupPrice( String productName, int quantity );
   

   
//********************************PRIVATE METHODS*******************************

}

/*******************************************************************************
 End of : PriceTable.java
*******************************************************************************/
